<id>
AdminAdvanced YaBB2
</id>

<version>
1.2
</version>

<mod info>
This mod adds 5 buttons only visible to admins, global moderators and moderators when replying to, quoting, or modifying a post: 
hint = for admin/moderator hints
edited = if you must edit something in other posts
inv = makes text invisible for guests and users (waiting for an admin-decision)
yellow = for a yellow card (warning) 
red = for a red card (warning).

Installation:
1) Modify YaBB files using BoardMod or manually.
2) Load modified files to your server in ASCII mode.

Admin/ModList.pl
Sources/YaBBC.pl
Sources/Post.pl
ubbc.js

3) Load files to your server in ASCII mode.

cgi-bin/yabb2/Languages/English/AdminAdv.lng
public_html/yabbfiles/ModImages/adminadv/edit.gif
public_html/yabbfiles/ModImages/adminadv/hint.gif
public_html/yabbfiles/ModImages/adminadv/inv.gif
public_html/yabbfiles/ModImages/adminadv/warnyel.gif
public_html/yabbfiles/ModImages/adminadv/warnred.gif
</mod info>

<author>
Gekko
</author>

<homepage>
gogekko@gmx.net
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$adminadvanced_mod = "AdminAdvanced_YaBB2|Gekko|Adds 5 buttons only visible to admins, global moderators and moderators when replying to, quoting, or modifying a post: hint = for admin/moderator hints; edited = if you must edit something in other posts; inv = makes text invisible for guests and users (waiting for an admin-decision); yellow = for a yellow card (warning); red = for a red card (warning).|1.2|05/05/05";
	push (@installed_mods, "$adminadvanced_mod");

</add before>

<edit file>
Sources/YaBBC.pl
</edit file>

<search for>
	$message =~ s~\[br\]~\n~ig;
</search for>

<add after>
	if (${$uid.$username}{'position'} eq 'Administrator' || ${$uid.$username}{'position'} eq 'Moderator' || ${$uid.$username}{'position'} eq 'Global Moderator'){
	LoadLanguage("AdminAdv");
	$message =~ s~\[inv\](.+?)\[/inv\]~<span style="color:#FF0000;">$adminadv_txt{'6'}</span><br><br>$1~isg;
	}else{
	LoadLanguage("AdminAdv");
	$message =~ s~\[inv\](.+?)\[/inv\]~<span style="color:#FF0000;">$adminadv_txt{'6'}</span><br><br>~isg;
	}
	$message =~ s~\[hint\](.+?)\[/hint\]~<span style="background-color: #DDDDFD;">$1</span>~isg;
	$message =~ s~\[edited\](.+?)\[/edited\]~<span style="color: #FF0000;">$post_txt{'603'}:</span> <span style="background-color: #DDDDFD;">$1</span>~isg;
	$message =~ s~\[warnyel\](.+?)\[/warnyel\]~<span style="background-color: #FFFFA0;">$1</span>~isg;
	$message =~ s~\[warnred\](.+?)\[/warnred\]~<span style="background-color: #FF9999;">$1</span>~isg;
</add after>

<edit file>
../../public_html/yabbfiles/ubbc.js
</edit file>

<search for>
function cry() {
	AddText(" :'(");
}
</search for>

<add after>
function hint() {
	AddSelText("[hint]","[/hint]");
}

function edited() {
	AddSelText("[edited]","[/edited]");
}

function inv() {
	AddSelText("[inv]","[/inv]");
}

function warnyel() {
	AddSelText("[warnyel]","[/warnyel]");
}

function warnred() {
	AddSelText("[warnred]","[/warnred]");
}
</add after>

<edit file>
Sources/Post.pl
</edit file>

<search for>
LoadLanguage("FA");
</search for>

<add after>
LoadLanguage("AdminAdv");
</add after>

<search for>
		<div style="width: 438px; clear: both;">
</search for>

<replace>
		<div style="width: 504px; clear: both;">
</replace>

<search for>
        <div style="height: 42px; width: 86px; overflow: auto; border: 1px; border-style: outset; float: right;">
</search for>

<replace>
        <div style="height: 42px; width: 86px; overflow: auto; border: 1px; border-style: outset; float: left;">
</replace>

<search for>
if($ENV{'HTTP_USER_AGENT'} =~ /Safari/) {$yymain .= qq~<br />~;}
          }
        }
        $yymain .= qq~
        </div>
</search for>

<add after>
~;
        if (${$uid.$username}{'position'} eq 'Administrator' || ${$uid.$username}{'position'} eq 'Moderator' || ${$uid.$username}{'position'} eq 'Global Moderator'){
        $yymain .= qq~
        <div style="width: 69px; float:right;">
        <script language="JavaScript1.2" type="text/javascript">
        <!--
        if((navigator.appName == "Netscape" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Microsoft Internet Explorer" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Opera" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "WebTV Plus Receiver" && navigator.appVersion.charAt(0) >= 3) || (navigator.appName == "Konqueror" && navigator.appVersion.charAt(0) >= 2)) {
          HAND = "onmouseover=this.style.cursor='hand'";
          document.write("<img src='$modimgurl/adminadv/hint.gif' onclick='hint();' "+HAND+" align=top width=23 height=22 alt='$adminadv_txt{'1'}' title='$adminadv_txt{'1'}' border='0'>");
          document.write("<img src='$modimgurl/adminadv/edit.gif' onclick='edited();' "+HAND+" align=top width=23 height=22 alt='$adminadv_txt{'2'}' title='$adminadv_txt{'2'}' border='0'>");
          document.write("<img src='$modimgurl/adminadv/inv.gif' onclick='inv();' "+HAND+" align=top width=23 height=22 alt='$adminadv_txt{'3'}' title='$adminadv_txt{'3'}' border='0'>");
          document.write("<img src='$modimgurl/adminadv/warnyel.gif' onclick='warnyel();' "+HAND+" align=top width=23 height=22 alt='$adminadv_txt{'4'}' title='$adminadv_txt{'4'}' border='0'>");
          document.write("<img src='$modimgurl/adminadv/warnred.gif' onclick='warnred();' "+HAND+" align=top width=23 height=22 alt='$adminadv_txt{'5'}' title='$adminadv_txt{'5'}' border='0'>");
        }
        else { document.write("<span class='small'>$post_txt{'215'}</span>"); }
        //-->
        </script>
        <noscript>
        <span class="small">$post_txt{'215'}</span>
        </noscript></div>
~;
        }
        $yymain .= qq~
</add after>